Skip to main content
POST
/
api
/
GetCompanyVehiclesBatteryHealth
Get Battery Health
curl --request POST \
  --url https://api.telemax.com.au/api/GetCompanyVehiclesBatteryHealth \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "vehicleId": 1234,
      "vehicleName": "Fleet Vehicle 001",
      "currentVoltage": 12.6,
      "predictionResults": [
        {
          "batteryPredictionValue": "Healthy",
          "predictionConfidence": "High",
          "predictionForDay": 1
        },
        {
          "batteryPredictionValue": "Check",
          "predictionConfidence": "Medium",
          "predictionForDay": 3
        }
      ]
    },
    {
      "vehicleId": 5678,
      "vehicleName": "Fleet Vehicle 002",
      "currentVoltage": 11.9,
      "predictionResults": [
        {
          "batteryPredictionValue": "Failing",
          "predictionConfidence": "High",
          "predictionForDay": 2
        }
      ]
    }
  ],
  "totalResults": 20,
  "lastResultIndex": 9,
  "currentPage": 1,
  "numberOfPages": 2
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from POST /api/authentication/token/user or POST /api/authentication/token/api-key.

Lifetime: ~24 hours (86,399 seconds). Cache the token and reuse it. Re-authenticate 5 minutes before expiry.

Scoping:

  • User tokens are scoped to a single company.
  • API key tokens may restrict access to a vehicle allowlist and/or action set (see token claims).

No refresh endpoint — re-authenticate with your credentials when the token expires.

Headers

Content-Type
string

Standard and must keep as it is.

Authorization
string
required

Bearer your_token

Query Parameters

pageNumber
integer

Page number

searchString
string

Search string - used to search for vehicle names, IMEI

resultsPerPage
integer

Number of results per page

Response

Successful response with paged battery prediction data

Pagination metadata returned by list endpoints that support paging.

currentPage
integer
required

The current page number (1-based).

Example:

1

numberOfPages
integer
required

Total number of pages.

Example:

7

totalResults
integer
required

Total number of records across all pages.

Example:

342

lastResultIndex
integer
required

Zero-based index of the last record on the current page.

Example:

24

items
object[]

List of vehicle battery prediction items.